Subject: Re: [sieve] SPECIAL-USE in Sieve (RFC 6154)

From: Alexey Melnikov <[email-masked]>
Date: Fri, 1 Apr 2016 13:19:28 +0100

Stephan,

On 31/03/2016 03:36, Barry Leiba wrote:
>> Please tell me what you think. I aim to submit this to appsawg soon, but
>> I think most Sieve people are still concentrated here, so I post it here
>> first.
> It sounds reasonable, yes.  But not to appsawg: appsawg is closing
> soon, and not accepting new documents.
I think emailing apps-discuss mailing list is fine though.
> You should bring it to the
> DISPATCH working group for consideration, and they will decide whether
> it should go to a working group or should be recommended to an AD to
> sponsor.

If there is enough interest in this, I can AD-sponsor it without DISPATCH.

---

From: [email-masked]
Date: Sat, 02 Apr 2016 00:28:43 -0700 (PDT)

> Currently, the Sieve language lacks the means of freely accessing the
> IMAP special-use mailbox attributes (RFC 6154). For example, it would be
> nice to be able to determine what the Junk mailbox is during Sieve
> processing at delivery, based on which mailbox has the "\Junk"
> special-use attribute assigned. I believe I have coined this idea before
> several years ago, but the incentive to actually build or document
> anything was never very high.

> Recently, I found the motivation to design a proper Sieve extension for
> this; I finished implementing IMAPSIEVE and in that context such
> functionality can also be very useful.  The draft specification is
> attached, since the IETF draft submission is currently blocked.

> I think most Sieve people are still concentrated here, so I post it here

This looks like a useful addition to sieve to me. I support its adoption as a
draft.

One thing you'll need to address is the ability for the same special use
attribute to be attached to multiple mailboxes. Since the ability to have the
same special-use attribute on multiple mailboxes is implementation-specific, my
suggestion would be to make the behavior in this case implementation-specific
as well.

				Ned

---

From: Stephan Bosch <[email-masked]>
Date: Sun, 3 Apr 2016 13:16:53 +0200

> I think emailing apps-discuss mailing list is fine though.

OK, I will do that.

> If there is enough interest in this, I can AD-sponsor it without 

Thanks!

Regards,

Stephan.

---

From: Stephan Bosch <[email-masked]>
Date: Sun, 3 Apr 2016 13:27:55 +0200

Thanks!

> suggestion would be to make the behavior in this case implementation-specific

Section 4 states the following:

"More than one mailbox can have a particular special-use flag assigned. 
In that case, the mailbox that is chosen for delivery is 
implementation-defined. However, implementations MUST ensure that this 
choice is made consistently, so that the same mailbox is used every time."

Isn't that what you mean? What is missing?

Regards,

Stephan.

---

From: [email-masked]
Date: Sun, 03 Apr 2016 09:09:03 -0700 (PDT)

> choice is made consistently, so that the same mailbox is used every time."

Missed that, sorry.

> Isn't that what you mean? What is missing?

Yes, that addresses the issue.

				Ned